> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reply to Ticket

> Reply to a Ticket from Channel API




## OpenAPI

````yaml /openapi/scx/seller.json post /v1/seller/ticket
openapi: 3.0.2
info:
  title: SCX Seller API
  version: '1.0'
  x-logo:
    url: https://scx-sandbox.ui.jtl-software.com/docs/scx.png
  description: |
    SCX Seller API
servers:
  - url: https://scx-sbx.api.jtl-software.com
    description: Sandbox Environment
security: []
tags:
  - name: Account
    description: Seller account management
  - name: Offer
    description: Seller offer management
  - name: Events
    description: Channel and system events for the seller
  - name: Meta
    description: Channel meta information (categories, attributes, rules)
  - name: Order
    description: Order processing, payments, shipping, cancellations and refunds
  - name: Report
    description: Seller report generation and retrieval
  - name: Ticket
    description: Channel ticket management
paths:
  /v1/seller/ticket:
    post:
      tags:
        - Ticket
      summary: Reply to Ticket
      description: |
        Reply to a Ticket from Channel API
      operationId: CreateTicket
      requestBody:
        $ref: '#/components/requestBodies/TicketReply'
      responses:
        '201':
          description: Ticket created
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '404':
          $ref: '#/components/responses/BadRequest'
        '429':
          $ref: '#/components/responses/RequestThrottled'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - SellerAuth: []
components:
  requestBodies:
    TicketReply:
      description: Seller reply to an existing customer service ticket on the marketplace.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SellerTicketReply'
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: VAL100
                message: Required field sellerId not found
                severity: error
                hint: Check the field `sellerId` — it must be a non-empty string.
    AccessForbidden:
      description: Access forbidden, invalid or unknown Token was used.
    RequestThrottled:
      description: User has send to many requests
    ServerError:
      description: Unexpected Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN500
                message: Internal Server Error
                severity: error
                hint: null
  schemas:
    SellerTicketReply:
      description: >-
        Seller reply to an existing customer service ticket on the marketplace,
        scoped to a channel.
      title: SellerTicketReply
      type: object
      required:
        - channel
      allOf:
        - type: object
          properties:
            channel:
              $ref: '#/components/schemas/Channel'
        - $ref: '#/components/schemas/TicketReply'
    ErrorResponseList:
      type: object
      properties:
        errorList:
          nullable: true
          type: array
          example:
            - code: GEN700
              message: Seller SELLER_4711 does not exist on channel kaufland.
              severity: error
              hint: i9n-order22
          items:
            title: Error
            type: object
            properties:
              code:
                type: string
                example: GEN700
              message:
                type: string
                example: Seller SELLER_4711 does not exist on channel kaufland.
              severity:
                type: string
                enum:
                  - error
                  - warning
                  - info
                default: error
              hint:
                type: string
                nullable: true
                example: i9n-order22
    Channel:
      description: |
        This is the unique Channel name.
      type: string
      example: MYBESTDEALCOMDE
      pattern: ^\w{5,15}$
    TicketReply:
      title: TicketReply
      type: object
      required:
        - sellerId
        - ticketId
        - createdAt
        - from
        - message
      properties:
        sellerId:
          $ref: '#/components/schemas/SellerId'
        ticketId:
          $ref: '#/components/schemas/TicketId'
        replyRequested:
          type: boolean
          example: true
          default: true
        createdAt:
          type: string
          format: date-time
        from:
          $ref: '#/components/schemas/TicketFrom'
        message:
          type: string
          minLength: 1
          maxLength: 1024
          example: Open the pod bay doors HAL.
        attachment:
          type: array
          minItems: 0
          maxItems: 10
          items:
            $ref: '#/components/schemas/TicketAttachment'
    SellerId:
      description: >
        A unique Id identify a Seller on a specific SalesChannel. The SellerId
        is generated

        from the Channel itself during the Seller SignUp Process.
      type: string
      example: '4711'
      pattern: ^\w{1,50}$
    TicketId:
      type: string
      description: |
        Unique identifcation for Ticket Id
      minLength: 1
      maxLength: 256
      example: CASE-01071982
    TicketFrom:
      title: TicketFrom
      type: object
      required:
        - role
      properties:
        role:
          type: string
          enum:
            - BUYER
            - SELLER
            - CHANNEL
          example: BUYER
        name:
          type: string
          maxLength: 100
          example: Dave
    TicketAttachment:
      title: TicketAttachment
      type: object
      required:
        - filename
        - contentType
      properties:
        filename:
          type: string
          minLength: 1
          maxLength: 256
          example: RedDot.png
        contentType:
          type: string
          minLength: 1
          maxLength: 128
          example: image/png
  securitySchemes:
    SellerAuth:
      description: >
        Bearer JWT issued to a seller after they sign up for a JTL-Scx
        subscription via the JTL

        Customer Center. Usage format: `Bearer <JWT>`.
      type: http
      scheme: bearer
      bearerFormat: JWT

````